import 'dart:convert';
import 'dart:io';
import 'dart:typed_data';
import 'package:germanet_dart/src/security.dart';
import 'package:xml/xml.dart';

XmlDocument parseXml(var entity, SecurityCryptInterpreter? securityCryptInterpreter){
  if(securityCryptInterpreter == null){
    if(entity.runtimeType != FileSystemEntity){
      return XmlDocument.parse(entity.readAsStringSync());
    }
    return XmlDocument.parse(File(entity.path).readAsStringSync());
  }else{
    if(entity.runtimeType != FileSystemEntity){
      return XmlDocument.parse(securityCryptInterpreter.decryptSource(Uint8List.fromList(entity.readAsStringSync().codeUnits)));
    }
    return XmlDocument.parse(securityCryptInterpreter.decryptSource(File(entity.path).readAsBytesSync()));
  }
}

